MediaWiki:Common.css

From Spehs Wiki
Revision as of 16:37, 25 June 2017 by WikiAdmin (talk | contribs) (removed tools bar)
Jump to navigation Jump to search

Note: After saving, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Go to Menu → Settings (Opera → Preferences on a Mac) and then to Privacy & security → Clear browsing data → Cached images and files.

body
{
    background-color: #2f2e2e;
    font-family:courier new,courier,monospace;
    color:#185952;
}

a:link
{
    color: #185952 !important;
}
a:visited
{
    color: #2b7f6d !important;
}
a:hover
{
    color: #26c97a !important;
}
a:active
{
    color: #26c97a !important;
}
a
{
    text-decoration: none;
}


::selection
{
    background: #bababa;
}
::-moz-selection
{
    background: #bababa;
}


h1
{
	border: 0px !important;
	font-family: courier new,courier,monospace !important;
	font-weight: 700 !important;
	font-size: 36px !important;
	color: #CCD9D4 !important;
}

h2
{
	border: 0px !important;
	font-family: courier new,courier,monospace !important;
	font-weight: 400 !important;
	font-size: 26px !important;
	color: #CCD9D4 !important;
}

h3
{
	border: 0px !important;
	font-family: courier new,courier,monospace !important;
	font-weight: 400 !important;
	font-size: 16px !important;
	color: #CCD9D4 !important;
}

h4
{
	color: #CCD9D4 !important;
}

.reflist, .refbegin
{
	background-color: #282828 !important;
}

.thumbcaption
{
	color: #888 !important;
}

#content h3
{
	font-size: 20px !important;	
}

p
{
	font-weight: 300 !important;
	line-height: 1.9 !important;
}

.portal-column-right span, .portal-column-left span, body.ns-100 .mw-body-content h2,
.mw_metadata th, .tracklist th
{
	color: #CCD9D4 !important;
	background-color: #444 !important;
}

body.ns-100 .mw-body-content th, body.ns-100 .mw-body-content div, body.ns-100 #portal td,
.mw_metadata td, .tracklist td, .tracklist div
{
	color: #CCD9D4 !important;
	border-width: 0px !important;
	background-color: #333 !important;
}

.portal-column-right, .portal-column-left, body.ns-100 .mw-body-content .subpages
{
	color: #CCD9D4 !important;
	background-color: #222 !important;
	border-width: 0px !important;
}

.mw-highlight
{
	background-color: #222 !important;
}

.mw-highlight .nc
{
	color: #26c97a;
}

.mw-highlight .nf
{
	color: #26c97a;
}

#Example
{
	color: #CCD9D4 !important;
}

table,td,th
{
	border: 0px !important;
	border-collapse: collapse !important;
	padding: 5px !important;
}

ul,li
{
	color: #2b7f6d;
	background: transparent !important;
	border: 0px !important;
	line-height: 1.8 !important;
	font-size: 14px !important;
	font-weight: 300 !important;
}

li span
{
	background: transparent !important;
	border: 0px !important;
	font-size: 14px !important;
}

.referencetooltip
{
	background-color: #282828 !important;
}

dl
{
	font-weight: 300 !important;
}

dt
{
	font-style: italic;
	font-size: 16px !important;
	margin-top: 10px !important;
}

dd
{
	font-size: 15px !important;
}

#p-logo a
{
	/*background-image: url('https://i.imgur.com/lNORoSn.png') !important;*/
	background-color: #222 !important;
}

code
{
	padding: 3px !important;
	background: transparent !important;
	color: #39892f !important;
	border: 1px solid #555 !important;
}

.hatnote span
{
	color: #888 !important;
	background-color: #222 !important;
}

tt
{
	font-family: courier new,courier,monospace !important;
	font-size: 16px !important;
}

.new,.new:link,.new:visited
{
	color: #a55858 !important;
}

blockquote
{
	border: 0px !important;
	font-style: italic !important;
	font-size: 20px !important;
	margin: 35px 75px !important;
	line-height: 1.5 !important;
	font-weight: 300 !important;
	background: transparent !important;
}

select
{
	padding: 0px 10px;
}

.mw-ui-button,.mw-ui-progressive
{
	border: 1px solid #888 !important;
	color: #185952 !important;
	background: #222 !important;
	text-shadow: 0px 0px 0px;
}

.mw-ui-button.mw-ui-progressive:hover,.mw-ui-button.mw-ui-progressive:focus,.mw-ui-button.mw-ui-progressive:active,.mw-ui-button:hover,.mw-ui-progressive:hover,.mw-ui-button:focus,.mw-ui-progressive:focus
{
	box-shadow: 0px 0px 0px !important;
	text-shadow: 0px 0px 0px !important;
	border: 1px solid #185952 !important;
}

#wpSave,#wpPreview,#wpDiff
{
	border-radius: 4px !important;
	border: 1px solid #185952 !important;
	color: #185952 !important;
	background: #222 !important;
	text-shadow: 0px 0px 0px;
	padding: 0.5em 1em;
	cursor: pointer;
}

#wpSave:hover,#wpPreview:hover,#wpDiff:hover
{
	color: rgba(52,123,255,0.5) !important;
}

/* Search */
#simpleSearch
{
	background: transparent !important;
	border-color: #666 !important;
}

#searchInput
{
	color: #CCD9D4 !important;
	background: transparent !important;
}

.mw-ui-input
{
	border: 1px solid #888 !important;
	color: #CCD9D4 !important;
	background: #222 !important;
	font-size: 16px !important;
}

.mw-ui-input:focus
{
	box-shadow: 0px 0px 0px !important;
}

.mwe-math-fallback-image-inline
{
	-webkit-filter: invert(100%);
	filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'invert\'><feColorMatrix in='SourceGraphic' type='matrix' values='-1 0 0 0 1 0 -1 0 0 1 0 0 -1 0 1 0 0 0 1 0'/></filter></svg>#invert");
}

.mw-content-ltr pre
{
	font-family: "Courier New", Lucida Console, sans-serif !important;
	color: #a5c4ff !important;
}

.suggestions
{
	font-weight: 300 !important;
	font-size: 15px !important;
	max-width: 300px !important;
	margin-top: 15px !important;
	border: 0px !important;
	box-shadow: 2px 2px 10px 2px rgba(0,0,0,0.5);
}

.suggestions-results
{
	border: 0px !important;
}

.suggestions-result
{
	padding: 10px !important;
}

.imeselector,#searchEngines
{
	display: none !important;
}

.mw-search-formheader
{
	border: 0px !important;
	background: transparent !important;
}

.central-featured-logo-wrapper
{
	height: 350px;
	/*background: transparent url("https://i.imgur.com/5uRX9M2.png") no-repeat scroll center center / 200px auto;*/
}

.central-featured-logo
{
	display: none;
}

.central-textlogo
{
	filter: invert(1) !important;
}

.bookend
{
	background-image: none !important;
}

.link-box em, .link-box small
{
	color: #bbb !important;
}

.search-form fieldset
{
	background-color: #444 !important;
	border-color: #888 !important;
	border-width: 1px !important;
}

#searchInput, #searchLanguage, #langsearch-input
{
	background-color: #222 !important;
	border-color: #888 !important;
	border-width: 1px !important;
}

.formBtn
{
	background-color: #222 !important;
	border-color: #888 !important;
	border-width: 1px !important;
	border-radius: 0px !important;
}

.mw-search-result-heading,.searchresult,.searchmatch
{
	font-size: 14px !important;
	font-weight: 400 !important;
	padding: 3px 0px !important;
}

.searchmatch
{
	font-weight: 700 !important;
}

.mw-search-result-data,.mw-search-createlink
{
	display: none;
}

#mw-page-base,.vectorTabs
{
	background: transparent !important;
	border-width: 0px !important;
}

#content
{
	color: #CCD9D4 !important;
	border: 0px !important;
	margin-left: 215px !important;
}

.portal, .portal table
{
	background: transparent !important;
}

#mw-panel
{
	width: 200px !important;
	border-right: 1px solid #666;
	background: none;
}

#p-logo
{
	left: 0px;
	padding-left: 8px;
	background-color: white;
}

#p-logo a
{
	width: 11em !important;
	padding-left: 40px;
	background-color: white;
	left: 0px;
	border-right: 1px solid #666;
	margin-left: -1em;
}

#p-logo a:hover
{
	opacity: 1.0;
}

#mw-head
{
	color: #CCD9D4 !important;
	background-color: #3b3b3b;
	opacity: 1.0;
	box-shadow: 0px 1px 2px #2b2b2b;
	-webkit-transition-property: opacity !important;
	-moz-transition-property: opacity !important;
	-o-transition-property: opacity !important;
	-ms-transition-property: opacity !important;
	transition-property: opacity !important;
	-webkit-transition-duration: 0.5s !important;
	-moz-transition-duration: 0.5s !important;
	-o-transition-duration: 0.5s !important;
	-ms-transition-duration: 0.5s !important;
	transition-duration: 0.25s !important;
}

#mw-head:hover
{
	opacity: 1.0 !important;
}

.uls-settings-trigger
{
	display: none !important;
}

#left-navigation
{
	margin-left: 233px !important;
}

.wikitable
{
	font-weight: 300 !important;
}

.wikitable td, .wikitable th
{
	border: 1px solid #444 !important;
}

pre
{
	line-height: 1.3 !important;
	font-family: "Courier New", Lucida Console, sans-serif !important;
	border: 0px !important;
	background: 0px !important;
	font-size: 16px !important;
	color: aliceblue !important;
}

.mw-code
{
	border: 0px !important;
	padding: 17px !important;
	background: 0px !important;
	font-size: 16px !important;
}

#bodyContent tbody, #mp-left, .MainPageBG, #mp-left div, #mp-right div, #mp-topbanner div, .list,
.collapsible th, .autocollapse th
{
	color: #CCD9D4 !important;
	background-color: #333 !important;
}

.wikitable, .wikitable th, .wikitable rh, .plainrowheaders, .nounderlines, .wikitable tr, .wikitable td,
.navbox-title, .navbox-group, .navbox-odd, .navbox-even, .hlist, #mp-left h2, #mp-right h2, #mp-bottom h2,
.navbox-abovebelow, .group
{
	color: #CCD9D4 !important;
	background-color: #444 !important;
}

body.ns-0 #content tbody code
{
	color: #39892f !important;
	background-color: #222 !important;
	border-width: 0px !important;
}

.suggestions-results, .suggestions-special
{
	background-color: #444 !important;
}

.suggestions-results :hover, .suggestions-special :hover
{
	background-color: #2c5699 !important;
}

.suggestions-results span, .special-query
{
	color: #CCD9D4 !important;
}

.suggestions-result, special-label
{
	color: #bbb !important;
}

.highlight
{
	color: #393939 !important;
}

.mw-search-profile-tabs
{
	color: #CCD9D4 !important;
	background-color: #333 !important;
	border-color: #555 !important;
}

.wikitable tr, .wikitable td, .homonymie, .plainlinks
{
	color: #eee !important;
	background-color: #333 !important;
}

.quotebox
{
	color: #eee !important;
	background-color: #252525 !important;
	border-color: #555 !important;
}

.toc
{
	background: transparent !important;
	border-color: #444 !important;
	border-style: solid !important;
	display: block !important;
	max-width: 300px !important;
}

.toctoggle
{
	display: none !important;
}

body.mediawiki table.mbox-small-left
{
	background-color: #222 !important;
}

.thumbinner,.thumb,.toccolours,.graytable
{
	background: transparent !important;
	border: 0px !important;
	font-size: 16px !important;
}

.thumbimage
{
	border: 0px !important;
}

.thumbcaption
{
	font-style: italic !important;
	margin: 7px 0px !important;
}

.thumbimage:hover
{
	opacity: 0.85 !important;
}

.dablink
{
	margin: 14px 0px !important;
	font-weight: 300 !important;
	font-size: 18px !important;
}

#siteSub,.flaggedrevs_preview
{
	display: none !important;
}

.ambox,.tmbox,.Note,.informationbox
{
	margin: 5px 0px !important;
	font-size: 18px !important;
	font-weight: 700 !important;
	line-height: 1.5 !important;
	max-width: 550px !important;
	font-weight: 300 !important;
}

.ambox td,.tmbox td
{
	padding: 10px !important;
}

.ambox-text-small,.mbox-text,.Note td
{
	font-size: 14px !important;
	font-weight: 300 !important;
	color: #CCD9D4 !important;
}

.ambox-image,.mbox-image
{
	display: none;
}

#request_for_deletion,.ambox-serious
{
	background: rgba(255,0,0,0.1) !important;
	border: 1px solid rgba(255,0,0,0.15) !important;
	color: #a00000 !important;
}

.tmbox-notice,.tmbox-move,.Note
{
	background: rgba(150,75,0,0.1) !important;
	border: 1px solid rgba(150,75,0,0.15) !important;
}

.informationbox
{
	background: #222 !important;
	padding: 10px !important;
	font-size: 14px !important;
}

.editOptions
{
	background: #222 !important;
	border: 0px !important;
}

.catlinks
{
	background: transparent !important;
	border: 1px solid #aaa !important;
	font-size: 16px !important;
}

.infobox, .tright, .toccolours
{
	color: #CCD9D4 !important;
	border: 0px !important;
	background: transparent !important;
	border-collapse: collapse !important;
}

.infobox td,.infobox th,.tright td,.tright th,.toccolours td,.toccolours th
{
	padding: 5px !important;
	background: #333 !important;
	font-weight: 400 !important;
}

.infobox_v3
{
	background: #333 !important;
	border-color: transparent !important;
}

.infobox_v3 .entete div
{
	background-color: #333 !important;
	color: #CCD9D4 !important;
}

.image img:hover
{
	opacity: 0.85 !important;
}

.globegris
{
	background: transparent !important;
}

.mw-editsection-bracket,.references-small b,.mw-cite-backlink,.plainlinksneverexpand
{
	display: none !important;
}

.mw-body
{
	background-color: #222 !important;
}

#floating_object
{
	display: none;
}

.navbox,.nowraplinks
{
	margin: 10px 0px !important;
	border: 0px !important;
	background: transparent !important;
}

.navbox td,.navbox th,.nowraplinks td,.nowraplinks th
{
	padding: 9px 6px !important;
	font-size: 14px !important;
	font-weight: 300 !important;
	border: 1px solid #222 !important;
}

.vertical-navbox th
{
	background-color: #444 !important;
}

.NavFrame
{
	border: 0px !important;
	background: transparent !important;
	padding: 0px !important;
}

.NavHead
{
	margin: 10px 0px !important;
	padding: 12px !important;
	font-size: 16px !important;
	font-weight: 700 !important;
	background: transparent !important;
}

.Boxmerge
{
	border: 0px !important;
}

#coordinates
{
	display: none !important;
}

#mw-fr-revisiontag,#mw-fr-reviewnotice
{
	display: none !important;
}

div#footer
{
	margin-left: 14em !important;
	padding: 1.25em 1.5em 1.5em !important;
}

#footer-info-copyright, #footer-info-lastmod
{
	color: #777 !important;
}

#p-tb
{
	display : none;
}